Subject: Re: I-D Action: draft-ietf-rtgwg-arp-yang-model-01.txt

From: Robert Wilton <[email-masked]>
Date: Wed, 5 Sep 2018 17:36:20 +0100

Tom,

Thanks for these comments, we will also address these in the next version.

On 31/08/2018 17:59, tom petch wrote:
> Rob
>
> Good to see my comments addressed.
>
> While you are at it
>
> - YANG module copyright is 2016 which will get fixed but makes me notice
> ....
>
> - Security Considerations is not the current template; should have
> Normative References to SSH and TLS
>
> - s5.1 has
> draft [I-D.ietf-netmod-rfc7277bis]).
> which is now an RFC
>
> - IANA Considerations references RFC7950.  As I learnt lately, RFC6020
> is better here as all RFC7950 does is point you to RFC6020
>
> -
> "MAC address in the format of H-H-H, in which H is a
>   hexadecimal number of 1 to 4 bits.";
>
> If H has a maximum of 4 bits, then you have a 12 bit address, not quite
> the MAC I see these days!
Ah, yes, it was probably meant to say digits.

>   I wonder if it is better to leave this out
> and let readers refer to RFC6991.
Quite probably, it seems generally better if things are only defined in 
one place.

Thanks,
Rob

>
> Tom Petch
>
> ----- Original Message -----
> From: "Robert Wilton" <rwilton=[email-masked]>
> To: <[email-masked]>
> Sent: Friday, August 24, 2018 6:17 PM
>
>> The -01 version fixes some of the comments raised during WG adoption,
>> but further work is in progress to improve the language, so expect a
>> properly updated version before the IETF 103.
>>
>> Thanks,
>> Rob
>>
>> On 24/08/2018 18:13, [email-masked] wrote:
>>> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
>>> This draft is a work item of the Routing Area Working Group WG of
> the IETF.
>>>           Title           : YANG Data Model for ARP
>>>           Authors         : Feng Zheng
>>>                             Bo Wu
>>>                             Robert Wilton
>>>                             Xiaojian Ding
>>> Filename        : draft-ietf-rtgwg-arp-yang-model-01.txt
>>> Pages           : 17
>>> Date            : 2018-08-24
>>>
>>> Abstract:
>>>      This document defines a YANG data model for the management of
> the
>>>      Address Resolution Protocol (ARP).  It extends the basic ARP
>>>      functionality contained in the ietf-ip YANG data model, defined
> in
>>>      RFC 8344, to provide management of optional ARP features and
>>>      statistics.
>>>
>>>      The YANG data model in this document conforms to the Network
>>>      Management Datastore Architecture defined in RFC 8342.
>>>
>>>
>>> The IETF datatracker status page for this draft is:
>>> https://datatracker.ietf.org/doc/draft-ietf-rtgwg-arp-yang-model/
>>>
>>> There are also htmlized versions available at:
>>> https://tools.ietf.org/html/draft-ietf-rtgwg-arp-yang-model-01
>>>
> https://datatracker.ietf.org/doc/html/draft-ietf-rtgwg-arp-yang-model-01
>>> A diff from the previous version is available at:
>>> https://www.ietf.org/rfcdiff?url2=draft-ietf-rtgwg-arp-yang-model-01
>>>
>>>
>>> Please note that it may take a couple of minutes from the time of
> submission
>>> until the htmlized version and diff are available at tools.ietf.org.
>>>
>>> Internet-Drafts are also available by anonymous FTP at:
>>> ftp://ftp.ietf.org/internet-drafts/
>>>
>>> _______________________________________________
>>> rtgwg mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/rtgwg
>>> .
>>>
>> _______________________________________________
>> rtgwg mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/rtgwg
> .
>